## org.eclipse.datatools.sqltools.debugger.model
Class SPVariable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPVariable

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IValueModification, org.eclipse.debug.core.model.IVariable

Direct Known Subclasses:
  SPGlobalVariable, SPLocalVariable

    public abstract class SPVariable

extends SPDebugElement
implements org.eclipse.debug.core.model.IVariable

Represents a SQL variable/parameter.

Author:
  Yang Liu

Constructor Summary
`SPVariable(SPDebugTarget target, java.lang.String name)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getReferenceTypeName()`
`org.eclipse.debug.core.model.IValue` `getValue()`
`boolean` `hasValueChanged()`
`void` `internalSetValue(SPValue v)`
`abstract boolean` `isGlobal()`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.IValueModification
`setValue, setValue, supportsValueModification, verifyValue, verifyValue`

Constructor Detail

### SPVariable

    public SPVariable(SPDebugTarget target,
                      java.lang.String name)

Parameters:
  `target` -

Method Detail

### getValue

    public org.eclipse.debug.core.model.IValue getValue()
                                                 throws org.eclipse.debug.core.DebugException

  Specified by:
    `getValue` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`

### getName

    public java.lang.String getName()
                             throws org.eclipse.debug.core.DebugException

  Specified by:
    `getName` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws org.eclipse.debug.core.DebugException

  Specified by:
    `getReferenceTypeName` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`

### hasValueChanged

    public boolean hasValueChanged()
                            throws org.eclipse.debug.core.DebugException

  Specified by:
    `hasValueChanged` in interface `org.eclipse.debug.core.model.IVariable`
  Throws:
    `org.eclipse.debug.core.DebugException`

### internalSetValue

    public void internalSetValue(SPValue v)

### isGlobal

    public abstract boolean isGlobal()

  Returns: